package info.kazushi.net.server.clientDispacher;

/**
 * Class: Cue
 * @author: made     by Kazushi Mukaiyama <i@kazushi.info>    2008/05/05
 *
 */

import java.util.ArrayList;

public class Cue extends ArrayList<String> {
	private static final long serialVersionUID = -5790057231465353264L;

	public Cue() {
	}

	public synchronized String get() {
		String s = null;

		while (isEmpty()) {
			try {
				wait();
			} catch (InterruptedException ie) {
			}
		}
		s = get(0);
		remove(0);

		return s;
	}

	public synchronized void set(String s) {
		add(s);
		notifyAll();
	}
}
