package info.kazushi.net.server.clientDispacher;

/**
 * Class: CueManager
 * 
 * @author: made by Kazushi Mukaiyama <i@kazushi.info> 2008/05/05
 * 
 */

abstract class CueManager extends Thread {
	protected Cue cue;
	protected ClientDispatcher cd;

	protected boolean isStopping = false;

	public CueManager(Cue c, ClientDispatcher cd) {
		cue = c;
		this.cd = cd;
	}

	public boolean getStopping() {
		return isStopping;
	}

	public void setStopping(boolean b) {
		isStopping = b;
	}
	
	public abstract void run();

}
