package info.kazushi.net.server.clientDispacher;

/**
 * Class: CueSetter
 * @author: made     by Kazushi Mukaiyama <i@kazushi.info>    2008/05/05
 *
 */


public class CueSetter extends CueManager {

	public CueSetter(Cue c, ClientDispatcher cd) {
		super(c, cd);
	}

	public void run() {
		while (true) {
			set();
			try {sleep(3);} catch (InterruptedException ie) {} // yield();
			if (isStopping) {
				break;
			}
		}
	}

	private void set() {
		String s = cd.recieve();
		if (s != null) {
			cue.set(s);
		}
	}
}
