package info.kazushi.io;

/**
 * Class: FileIn
 * @author: made     by Kazushi Mukaiyama <kazu@arizona.ne.jp>    1999/12/19
 *
 */

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.zip.GZIPInputStream;

public class FileIn{
	public String fileName = null;
	ObjectInputStream in;
public void close() {
	try {
		in.close();
	} catch (IOException e) {
		System.out.println("Stream close error: " + e);
	}
}
public void open(String dirName, String fileName) {
	try {
		File f = new File(dirName + fileName);
		FileInputStream fis = new FileInputStream(f);
		GZIPInputStream gzis = new GZIPInputStream(fis);
		in = new ObjectInputStream(gzis);
	} catch (IOException e) {
		System.out.println("File read error: " + e);
	}
}
public Object read() {
	Object obj = null;
	try {
		obj = in.readObject();
	} catch (ClassNotFoundException ce) {
		System.out.println("File read error: " + ce);
	} catch (IOException e) {
		System.out.println("File read error: " + e);
	}
	return obj;
}
}
