package info.kazushi.net.server;

/**
 * Class: LogArea
 * @author: made     by Kazushi Mukaiyama <kazu@arizona.ne.jp>    2000/01/17
 *
 */

import java.awt.*;

public class LogArea extends TextArea {

	private static final long serialVersionUID = -893617362524929957L;

	public LogArea() {
		super();
	}

	public LogArea(int rows, int columns) {
		super(rows, columns);
	}

	public LogArea(String text) {
		super(text);
	}

	public LogArea(String text, int rows, int columns) {
		super(text, rows, columns);
	}

	public LogArea(String text, int rows, int columns, int scrollbars) {
		super(text, rows, columns, scrollbars);
	}

	public void append(String s) {
		if (getText().length() > 30000) {
			replaceRange("", 0, 1000);
		}
		super.append(s);
	}
}
